======== PyClutter 0.8.2 ======================================================

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac: Bump to 0.8.2

	* README:
	* NEWS: Update for release.

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl-texture.override: Override the texture handle
	creation methods, as the codegen script insisted on adding a
	pointer to CoglHandle when it wasn't needed.

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter-cairo/__init__.py:
	* clutter-gst/__init__.py:
	* clutter-gtk/__init__.py:
	* clutter/__init__.py: Try using ctypes to change the dlopen()
	flags if the dl module is not found; this fixes the infamous
	linker warning on 64 bit platforms. (Many thanks to Bastian
	Winkler for the patch)

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl-base.defs:
	* clutter/cogl.override: Increase coverage of the COGL API by
	adding the module methods:

		cogl.frustum()
		cogl.get_viewport()
		cogl.setup_viewport()

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl-texture.override: Override the cogl.Handle method
	texture_rectangle(). Also, allow integer values for the texture
	vertices in the texture_polygon() implementation.

	* examples/reflection.py: Add comments on how the reflection works;
	do not use float() when we have an integer value.

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-base.defs: Update the Clutter API description to
	match the current stable API.

	* clutter/clutter.override: Ignore the Container child properties
	accessors API.

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac: Require the latest stable release of Clutter
	core.

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* examples/Makefile.am:
	* examples/reflection.py: Add a TextureReflection actor
	example, using the newly added COGL texture API.

2008-12-10  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl-base.defs: Add the remaining COGL texture API
	methods.

	* clutter/cogl-texture.override: Override the cogl.Handle
	texture_polygon() method. Instead of adding yet another boxed
	type wrapper for CoglTextureVertex we use a 5- or a 6-tuple
	in the forms:

		(x, y, z, texture_x, texture_y)

		or

		(x, y, z, texture_x, texture_y, color)

	for each vertex. This should keep the API as pythonic as
	possible.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/cogl.override: Increment checking and do a slight
	clean-up of the cogl override type declarations.

	* clutter/clutter.override: Override clutter.Texture methods
	get_cogl_texture() and set_cogl_texture(): CoglHandle is already
	a pointer, and the autogeneration code added double pointer to
	it making the API fail.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.override: Override clutter.Actor methods
	apply_transform_to_point() and apply_relative_transform_to_point()
	to correctly return a clutter.Vertex.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter.override:
	* clutter/cluttermodule.c:
	(pyclutter_register_exceptions), (init_clutter): Register
	clutter.Exception as a base exception class for Clutter-related
	error handling. Export PyClutterWarning and PyClutterException
	over the override code as well.

	* clutter/clutter-actor.override: Raise an exception if
	clutter.Actor.transform_stage_point() cannot transform the
	passed coordinates.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1341 - [PATCH] Override reading of attributes

	* clutter/clutter-boxed.override: Return floating point values
	for Vector accessors. (Bastian Winkler)

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1341 - [PATCH] Override reading of attributes

	* clutter/clutter-boxed.override: Return floating point values
	for ActorBox accessors. (Bastian Winkler)

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am: Add Makefile.tmpl to the dist.

	* Makefile.tmpl: Move all the common bits of the modules Makefiles
	into the template.

	* clutter-cairo/Makefile.am:
	* clutter-gst/Makefile.am:
	* clutter-gtk/Makefile.am:
	* clutter/Makefile.am: Update using the Makefile template.

	* clutter/pyclutter.h: Do not include "config.h": the private header
	will do it for us.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.tmpl: Add a Makefile template for common bits
	of build infrastructure.

	* clutter/Makefile.am: Update the build's black magic.

	* clutter/pyclutter-private.h: Add a private header defining
	the types we have to install ourselves (like the COGL data
	structures and enumerations) and that we don't want to expose
	to the public.

	* clutter/clutter-event.override: Add clutter.Event.get_coords()
	binding for clutter_event_get_coords().

	* clutter/cogl-base-types.defs:
	* clutter/cogl-base.defs: Add COGL data types and some missing
	function; contains the beginnings of the wrappers for the
	COGL texture API.

	* clutter/cogl.override: Add the boxed type machinery for
	CoglHandle.

	* clutter/clutter-base.defs:
	* clutter/clutter.override: Use the CoglHandle wrapper object
	to expose the clutter.Texture cogl-texture property accessors.

	* clutter/cluttermodule.c (init_clutter): Call into the COGL
	classes and constants registration.

	* clutter/cogl-texture.override: Add override file for the
	COGL texture API.

	* clutter/pyclutter.c:
	(pycogl_pixel_format_get_type),
	(pycogl_feature_flags_get_type): Add the enum and flags types
	registration.

	* configure.ac: Pass the HAVE_PYCAIRO define to pygtk-codegen.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1258 - Improvement to pyclutter documentation, added full
	documentation to clutter-clutteractor.xml

	* docs/reference/clutter-clutteractor.xml: Improve the Actor
	documentation. (based on a patch by Gordon Allott)

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.override: Fix names of the arguments in
	clutter.Actor.transform_stage_point(); fix checks inside
	clutter.Actor.raise() and .lower().

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-base.defs: Fix the return value for the
	get_stage() method of clutter.Event.

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1337 - [PATCH] pyclutter ClutterVertex initialization

	* clutter/clutter-boxed.override: Fix clutter.Vertex
	constructor. (patch by Bastian Winkler)

2008-12-09  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.override: Fix typos in the overrides. (based
	on a patch by Bastian Winkler)

2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1287 - clutter_event_get_device_id not available in pyclutter

	* clutter/clutter-base.defs: Add get_device_id() method for
	clutter.Event. (Thomas Steinacher)

2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1288 - clutter_container_raise_child's second argument should be
	optional

	* clutter/clutter-actor.override: Fix condition checks on
	clutter.Actor.raise() and clutter.Actor.lower().

	* clutter/clutter-base.defs: Allow None to be used as the
	value for the sibling argument in clutter.Container raise_child()
	and lower_child() methods. (Thomas Steinacher)

2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1296 - Adding unicode_value attribute to ClutterKeyEvent

	* clutter/clutter-event.override: Sync up the clutter.Event
	bindings to access all the public attributes of ClutterEvent
	and related structures. (Based on a patch by Julien Pauty)

2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1326 - [PATCH] pyclutter ClutterTimline list_markers returns <nil>

	* clutter/clutter.override: Fix return value of list_markers()
	method. (Bastian Winkler)

2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1327 - [PATCH] pyclutter ClutterListModel with multiple columns

	* clutter/clutter-model.override: Fix the model creation with
	multiple columns. (Bastian Winkler)

2008-12-08  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-actor.override: Override the units-based actor
	API and use floating point values instead of integers encoding
	units. ClutterUnits in C are used to express sub-pixel precision
	in an efficient way, but since bindings do not expose fixed-point
	API and conversion macros, we should use floating point values
	for sub-pixel units.

	* clutter/clutter-boxed.override: Ditto as above for ActorBox and
	Vertex types.

	* examples/custom-actor.py: Update.

2008-10-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* configure.ac: Post release bump to 0.8.1

======== PyClutter 0.8.0 ======================================================

2008-10-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* NEWS:
	* README:
	* configure.ac: Release PyClutter 0.8.0

2008-10-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* clutter/clutter-script.override: Bind list_objects().

2008-10-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:
	* docs/Makefile.am: Small build fixes for passing distcheck.

2008-10-15  Emmanuele Bassi  <ebassi@linux.intel.com>

	* tidy/*: Remove the Tidy files from SVN. They will be moved
	into the Tidy repository.

2008-09-29  Emmanuele Bassi  <ebassi@linux.intel.com>

	* Makefile.am:
	* configure.ac: Remove the Tidy bindings from the build.

2008-09-26  Emmanuele Bassi  <ebassi@linux.intel.com>

	Bug 1157 - Fix for pyclutter cogl_path_round_rectangle

	* clutter/cogl.override: Use the right parameter types and
	function name for cogl.path_round_rectangle(). (Bastian Winkler)

2008-09-16  Emmanuele Bassi  <emmanuele.bassi@intel.com>

	Bug 1141 - Wrong allocation size

	* clutter-gst/cluttergstmodule.c (init_clutter_gst): Invert a
	condition to avoid g_new0() bombing out while trying to allocate
	G_MAXINT - 1. (Eduardo Matus)

	* clutter-gtk/cluttergtkmodule.c (init_clutter_gtk): Ditto as
	above.

2008-08-26  Emmanuele Bassi  <ebassi@openedhand.com>

	Bug 1101 - get_preferred_size Pyclutter wrapper bug (?)

	* clutter/clutter-actor.override: Use the right format string
	for the return value of get_preferred_size(). (Nati Berkover)

2008-08-05  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/gtk-clutter.py: Update the example to show how
	to keep actors centered on the stage even when resizing the
	embedding window.

2008-08-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/reference/clutter-*.xml: Regenerate the documentation
	using the docgen.py script from pygobject. This provides full
	method coverage - but neither the classes signals nor the
	properties are available.

	* docs/Makefile.am:
	* docs/reference/clutter-ref.xml: Update the build to include
	all the newly added files.

2008-08-01  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/Makefile.am: Add all the examples to the DIST.

	* examples/bubbles.py:
	* examples/clock.py:
	* examples/flowers.py: Add the examples ported from
	clutter-cairo. (#1081, Damien Boucard)

	* examples/script.py: Update the clutter.Script example.

2008-08-01  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-gst/cluttergstmodule.c (init_clutter_gst): Create a
	real NULL-terminated string vector for the argv parameter.

	* clutter-gtk/cluttergtkmodule.c (init_clutter_gtk): Ditto as
	above.

	* clutter/Makefile.am: When installing the clutter module
	remove the shared objects for the old submodules inside the same
	directory, to avoid potential collisions.

2008-08-01  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Fix the names of the set_clip()
	method parameters.

	* docs/reference/clutter-clutteractor.xml: Add more methods to
	the class synopsis; the actual documentation is still missing.

	* docs/reference/clutter-cluttercolor.xml: Ditto, as above.

	* docs/reference/clutter-cluttertimeline.xml: Ditto, as above.

2008-07-31  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-cairo/Makefile.am:
	* clutter-cairo/__init__.py:
	* clutter-cairo/cluttercairomodule.c:
	* examples/cairo-texture.py: Update the cluttercairo module as
	a stand-alone module, like cluttergst and cluttergtk

2008-07-31  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-gtk/Makefile.am:
	* clutter-gtk/__init__.py:
	* clutter-gtk/cluttergtk.defs:
	* clutter-gtk/cluttergtk.override:
	* clutter-gtk/cluttergtkmodule.c: Overhaul the cluttergtk module,
	similarly to what we did for the cluttergst one. In this case, the
	init function is strictly required in order to make everything work.
	Just like cluttergst, to import cluttergtk you need to do:

		import cluttergtk

	inside your Python application. The cluttergtk module also provides
	a cluttergtk.Texture class which can be used with gtk.gdk.Pixbuf
	objects, gtk+ stock ids and icon names from the gtk+ icon theme.

	* examples/gtk-clutter.py: Add an example of the usage of the
	cluttergtk.Embed widget and the cluttergtk.Texture.

2008-07-31  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-gst/Makefile.am:
	* clutter-gst/__init__.py:
	* clutter-gst/cluttergst.defs:
	* clutter-gst/cluttergst.override:
	* clutter-gst/cluttergstmodule.c: Overhaul the cluttergst module.
	Because clutter-gst requires its own initialization function, we need
	to put it into its own module, in order for it to have an __init__.py.
	Thus, the way you import cluttergst has changed from this:

		from clutter.cluttergst import cluttergst
	
	to this:

		import cluttergst

	which is fairly more pythonic and solves the initialization problems
	that we have.

2008-07-30  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/Makefile.am: Build clutter before clutter.cogl.

2008-07-30  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/Makefile.am:
	* clutter/cogl-base.defs:
	* clutter/cogl.override: Provide some of the general purpose API and
	the path API from COGL.

	* clutter/cluttermodule.c:
	* clutter/__init__.py: Import cogl as clutter.cogl.

	* clutter/clutter-actor.override: Fix the get_allocation_geometry()
	method.

	* examples/Makefile.am:
	* examples/custom-actor.py: Add a custom actor example, showcasing
	subclassing clutter.Actor and using clutter.cogl to draw a
	non-rectangular shape.

2008-07-30  Emmanuele Bassi  <ebassi@openedhand.com>

	Bug 1060 - pyclutter/clutter-actor.override problem (Lee Jusung)

	* clutter/clutter-actor.override: Dereference the GObject from
	the PyObject wrapper.

2008-07-30  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Fix the stage and stage manager
	constructors.

2008-07-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump requirements to Clutter 0.8.0; PyClutter
	softly depends on PyCairo for core as well.

	* clutter/Makefile.am: Use automake 1.9 like the rest of the
	build.

	* clutter/__init__.py: Update the deprecations; stage_get_default()
	has been undeprecated because now clutter.Stage() will create
	a new stage.

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs: Update with 0.8 API.

	* clutter/clutter-actor.override:
	* clutter/clutter-behaviour.override:
	* clutter/clutter-script.override:
	* clutter/clutter.override: Update the overrides.

	* clutter/cluttermodule.c (init_clutter): Import PyCairo if
	found.

	* examples/behave.py:
	* examples/cairo-texture.py:
	* examples/entry.py: Slight update.

2008-06-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Remove the demos directory from the configure:
	it's not ready.

2008-05-28  Emmanuele Bassi  <ebassi@openedhand.com>

	Merge from pyclutter-0-6.

	Bug #923 - Clutter.Color() undesired results on amd64 platform

	* clutter/clutter-color.override: Use 'B' as the parser
	format for the Color components. (Julius Caro, Tommi Komulainen)

2008-04-24  Emmanuele Bassi  <ebassi@openedhand.com>

	Merge from pyclutter-0-6

	* clutter-cairo/cluttercairo.defs: Add the new API from
	clutter-cairo >= 0.7

	* clutter-cairo/cluttercairo.override: Wrap the cairo context
	into a PyObject inheriting from pangocairo.CairoContext; this
	allows wrapping clutter_cairo_set_source_color(). Fix the
	methods returning a cairo_t* in C to return a cluttercairo
	CairoContext instead.

	* clutter-cairo/cluttercairomodule.c: Remove cruft.

	* examples/cairo-texture.py: Use cluttercairo.CairoContext's
	method set_source_color() to test the extension of the pangocairo
	CairoContext class.

2008-04-24  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump to 0.7.0

2008-04-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Post-release bump to 0.6.3

2008-04-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/reference/clutter-cluttertimeline.xml: Add more
	documentation to the clutter.Timeline page.

2008-04-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* README: Update the README with the revised dependency
	from the previous commit.

2008-04-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Keep requiring python 2.4. We'll move
	to python 2.5 in 0.7/0.8 to keep the stable cycle, well,
	stable.

2008-04-15  Emmanuele Bassi  <ebassi@openedhand.com>

	Bug #841 - pyclutter shader API doesn't seem to work

	* clutter/__init__.py: Change the dlopen() flags; this should
	fix the dlopen() errors that happen with nvidia cards. (thanks
	to Blake Ramsdell)

2008-04-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* INSTALL: Remove from revision control.

	* README: Make the build time dependencies more explicit.

	* autogen.sh: Prepare for the (future) switch to automake-1.10

	* configure.ac: Fail if we don't find python 2.5, instead
	of silently ignoring it.

2008-03-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* tidy/Makefile.am: Add tidy-types.defs to the dist.

2008-03-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/Makefile.am:
	* docs/reference/clutter-cluttertimeline.xml:
	* docs/reference/clutter-ref.xml: Add initial page for
	clutter.Timeline in the PyClutter API reference.

2008-02-29  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Post release bump to 0.6.1 - I should have done
	this earlier.

2008-02-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Update the BehaviourEllipse
	constructor, so that the alpha parameter is marked as optional,
	like for the other behaviours.

2008-02-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Require python2.5; anything older is probably
	broken, leaking or worse.

2008-02-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Fix error message for clutter.Stage()

	* tidy/tidy-types.defs:
	* tidy/tidy.override:
	* tidy/tidymodule.c: Make tidy bindings actually work.

2008-02-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* NEWS:
	* README:
	* configure.ac: Release 0.6.0

2008-02-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/Makefile.am: Update documentation build to be shipped
	with the tarball and be installed in the right place.

2008-02-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/__init__.py: Add more deprecation warnings

2008-02-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* tidy/Makefile.am: Add clutter/ to the includes

	* tidy/tidy-types.defs:
	* tidy/tidy.defs: Update with the latest types/APIs

	* tidy/tidy.override: Include pyclutter.h and ignore more
	functions.

2008-02-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/deprecation.py: Add a modified copy of the deprecation
	module from gtk.

	* clutter/Makefile.am: Add deprecation.py to the installed
	modules.

	* clutter/__init__.py: Make the initialization more safe, and
	add the deprecation warning for clutter.stage_get_default().

	* clutter/cluttermodule.c (init_clutter): Create the
	DeprecationWarning and Warning exceptions in the clutter module.

2008-02-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add missing
	clutter_actor_box_get_from_vertices(); we do not wrap it yet,
	as it needs some pythonization first.

	* clutter/clutter.override: Override clutter.Stage.set_key_focus()
	to accept None to give back the key focus to the stage.

	* examples/entry.py: Add entry example, from Florent Thiery.

2008-02-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am:
	* configure.ac: Add tidy submodule; make all the submodules
	depend on a --with configure switch, to make possible trimming
	down the build.

	* tidy/Makefile.am:
	* tidy/tidy-types.defs:
	* tidy/tidy.defs:
	* tidy/tidy.override:
	* tidy/tidymodule.c: Add initial Tidy bindings; roughly 80%
	coverage (TidyStyle/TidyStylable is missing).

2008-02-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-actor.override:
	* clutter/clutter-base.defs: Add new relative transformation
	API from Clutter core.

2008-02-16  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am:
	* configure.ac: Fill in the pyclutter pkg-config file and
	install it in the right place.

	* clutter/clutter-base.defs: Wrap clutter.texture_from_actor().

	* clutter/pyclutter.c:
	(pyclutter_callback_invoke), (pyclutter_alpha_func),
	(pyclutter_effect_complete): Fix reference counting bugs
	that caused alpha functions to leak. (#797, Tero Saarni)

2008-02-11  Emmanuele Bassi  <ebassi@openedhand.com>

	* NEWS:
	* README: Release 0.5.2.

2008-02-11  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/Makefile.am:
	* docs/reference/clutter-cluttertexture.xml:
	* docs/reference/clutter-ref.xml: Add initial clutter.Texture
	API reference.

	* docs/reference/clutter-cluttercontainer.xml: Fix indentation
	and typos.

2008-02-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/reference/clutter-cluttercontainer.xml: Finish the
	clutter.Container API reference.

2008-02-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-effect.override: Commit a fix for the
	clutter.effect_scale() override that has been sittin in my
	tree for days.

2008-02-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/reference/clutter-ref.xml: Add copyright and remove authors.

2008-02-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Mark the sibling argument in
	clutter.Container.raise_child() and .lower_child() as optional;
	by looking at the autogenerated code it seems that pycodegen
	doesn't care, though.

	* docs/reference/clutter-clutteractor.xml:
	* docs/reference/clutter-clutterrectangle.xml: Fix some references.

	* docs/Makefile.am:
	* docs/reference/clutter-ref.xml:
	* docs/reference/clutter-cluttercontainer.xml:
	* docs/reference/clutter-cluttergroup.xml: add clutter.Group
	and clutter.Container sections. clutter.Container is not finished.

2008-02-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Allow passing a clutter.Color when
	constructing a rectangle.

	* docs/Makefile.am:
	* docs/reference/clutter-clutteractor.xml:
	* docs/reference/clutter-cluttercolor.xml:
	* docs/reference/clutter-clutterrectangle.xml:
	* docs/reference/clutter-ref.xml: Add clutter.Rectangle reference.

2008-02-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/reference/clutter-clutteractor.xml: Add signals documentation
	for clutter.Actor. (Daniel Schierbeck)

2008-02-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-event.override: Fix modifier_state member
	typo. (#748, Havoc Pennington)

2008-02-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Rename --enable-doc to --enable-docs, and
	default it to "no" when building a developers snapshot.

2008-02-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/script.py: Add more checks.

2008-02-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-script.override: Let pyclutter pick up
	clutter.Script.connect_signals()

	* clutter/clutter.override: Override clutter.Score.append()
	so that the optional parent goes at the end of the arguments
	tuple.

	* examples/script.py: Add an example of clutter.Script.

2008-02-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add the new move_anchor_point()
	and move_anchor_point_from_gravity() methods.

	* docs/Makefile.am: Fix indentation for the pdf generation; it
	still doesn't quite work, unfortunately.
	
	* examples/Makefile.am:
	* examples/test-scale.py: Add test-scale.py, exercising the
	scale behaviour and the anchor point API

	* examples/behave.py:
	* examples/cairo-texture.py:
	* examples/rects.py:
	* examples/super-oh.py:
	* examples/videosink.py: Update to clutter.Stage().

2008-02-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* docs/Makefile.am: Fix the fixxref call.

	* docs/reference/clutter-clutteractor.xml:
	* docs/reference/clutter-cluttercolor.xml:
	* docs/reference/clutter-overview.xml:
	* docs/reference/clutter-ref.xml: More documentation: add the
	overview from Clutter core and more descriptions on methods
	properties and signals. (Daniel Schierbeck) 

2008-02-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs:
	* clutter/clutter.override: Wrap clutter_stage_get_default()
	as clutter.Stage(), so that it feels more pythonic. The
	current clutter.stage_get_default() function is still there
	for compatibility, but it should probably go away before 0.6.0.

	* examples/hello.py: Update to test.

2008-02-05  Emmanuele Bassi  <ebassi@openedhand.com>

	* Makefile.am:
	* configure.ac:
	* docs/Makefile.am: Add build environment for the pyclutter
	documentation. (#758, Daniel Schierbeck)

	* docs/reference/clutter-clutteractor.xml:
	* docs/reference/clutter-cluttercolor.xml:
	* docs/reference/clutter-ref.xml: Add initial XML files for
	the documentation; needs work, so patches accepted.

2008-02-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Remove clutter_actor_apply_shader()
	and bind:

	  clutter_actor_set_shader()
	  clutter_actor_get_shader()

2008-02-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Update after upstream API changes
	in clutter.Entry, clutter.BehaviourScale and
	clutter.effect_scale. (based on a patch by Kashyap Ashwin)

	* clutter/clutter-effect.override: Update clutter.effect_scale
	and initialise all the optional arguments of the effects API
	to Py_None, to avoid segfaults. (based on a patch by Tero Saarni)

2008-01-25  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Require stable releases of clutter-core and
	clutter-gtk.

	* README:
	* NEWS: Release 0.5.1

2008-01-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* autogen.sh:
	* configure.ac: Require autotools >= 1.9 and clutter-gtk >= 0.5.1

	* clutter-gtk/cluttergtk.defs:
	* clutter-gtk/cluttergtk.override:
	* clutter-gtk/cluttergtkmodule.c: Update after upstream changes
	in the clutter-gtk integration library. No API changes for the
	Python bindings.

2008-01-22  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add BehaviourDepth and BehaviourOpacity
	new methods.

	* clutter/clutter-behaviour.override: Override the get_bounds()
	methods of BehaviourDepth() and BehaviourOpacity()

	* examples/behave.py: Remove the scale behaviour, as it was
	just cluttering up.

2008-01-21  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Fix a typo in the set_gravity()
	method definition of clutter.BehaviourScale.

2008-01-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs:
	* clutter/clutter-behaviour.override:
	* clutter/clutter-effect.override: Update for the upstream API
	change in ClutterBehaviourScale and clutter_effect_scale()

	* configure.ac: Require Clutter core 0.5.3.

2008-01-10  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add function wrappers for the newly
	defined CLUTTER_UNITS_* macros.

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: All the constructor parameters for
	clutter.Timeline are optional (we provide sane defaults); add
	the duration property, so you can do clutter.Timeline(duration=1000).

	* clutter/clutter.override: Ignore clutter.timeline_new_for_duration()
	as now clutter.Timeline also takes the duration argument.

	* examples/behave.py: Update to show the construction of timelines
	in the time domain, instead of the frames domain.

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs:
	* clutter/clutter-model.override: Rename clutter.ModelDefault
	into clutter.ListModel, following the upstream change.

	* README:
	* configure.ac: Update requirements.

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Post-release bump to 0.5.1

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* NEWS:
	* README: Release 0.5.0

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base-types.defs:
	* clutter/clutter-boxed.override: Add the .origin and .size
	read-only fields to clutter.ActorBox.

2008-01-09  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-actor.override: As discovered in the Perl
	bindings, the box argument in clutter.Actor.do_query_coords()
	overridable method is an in-out parameter: instances are
	supposed to get an ActorBox with the current coordinates and
	return a tuple containing the coordinates of the new bounding
	box.

2008-01-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs: Add ClutterModelDefault type and
	definitions.

	* clutter/clutter-model.override: Bind:

		clutter.Model.append()
		clutter.Model.prepend()
		clutter.Model.insert()

	and fix a couple of signed/unsigned casts.

2008-01-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-model.override: Update after API changes upstream:
	clutter.Model() becomes clutter.ModelDefault(); implement
	clutter.ModelIter.set() and clutter.ModelIter.get(); stub out
	clutter.Model insert, append and prepend methods; implement
	clutter.Model.foreach(), clutter.Model.set_sort() and
	clutter.Model.set_filter().

	* clutter/clutter.override: Fix GList->GSList usage.

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-model.override: Bind clutter.Model.set_types()
	and clutter.Model.set_names().

	* clutter/clutter-script.override: Ignore the ClutterScriptable
	interface methods: they are used only by the clutter.Script class
	and are not meant for external usage.

	* clutter/clutter.override: Bind clutter.Score.list_timelines().

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Declare the constructors for many
	types using the new format (properties instead of parameters);
	this allows the autogeneration to work for us. The clutter.Texture
	constructor now accepts an optional pixbuf parameter, so
	clutter.texture_new_from_pixbuf() has been removed in favour of
	a more pythonic:

	  try:
	      from gtk import gdk
	      tex = clutter.Texture(gdk.pixbuf_new_from_file("redhand.png"))
	  except Exception:
	      print "Unable to create texture from redhand.png"
	      sys.exit(1)

	* clutter/clutter-behaviour.override: Remove the overridden
	constructors for clutter.BehaviourDepth, clutter.BehaviourOpacity,
	clutter.BehaviourRotate and clutter.BehaviourScale, and use the
	autogenerated ones. This implies a subtle API break: the alpha
	argument now goes at the end of the list of parameters; to avoid
	breakage, the named argument passing is preferred. E.g.:

	  clutter.BehaviourDepth(alpha, -100, 0)
	
	becomes:

	  clutter.BehaviourDepth(-100, 0, alpha)

	or, better:

	  clutter.BehaviourDepht(depth_start=-100, depth_end=0, alpha=alpha)

	* examples/super-oh.py:
	* examples/hello.py:
	* examples/behave.py: Update with the new constructor syntax

	* examples/Makefile.am:
	* examples/videosink.py: Add a cluttergst.VideoSink example, written
	by Florent Thiery.

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-effect.override: Mark the gravity parameter in
	clutter.effect_scale() and the direction parameter in
	clutter.effect_rotate() as optional, as they have a default value.

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Ignore clutter.texture_new_from_pixbuf();
	implement clutter.Timeline.get_delta().

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-script.override: Fix coding style.

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/cairo-texture.py: Update API usage.

2008-01-04  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/super-oh.py: Fix the super-oh example and update the
	API usage.

2008-01-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Avoid a segfault un the
	clutter.Entry.handle_key_event(). (#622)

2008-01-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Update after the
	properties naming changes upstream.

	* clutter/clutter-effect.override: Mark the constructor for
	clutter.EffectTemplate as a new-style one.

	* examples/behave.py: Update after API changes

2008-01-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Remove the fixed point
	variants as we now don't even have them in the defs files;
	rename clutter.BehaviourBspline.append() to append_knots().

	* clutter/clutter-effect.override: Ignore the construct()
	method; implement clutter.Effect.rotate(), using a 3-element
	tuple for the rotation center.

	* clutter/clutter.override: Remove more fixed point ignored
	API; remove the old clutter.Box wrappers.

	* clutter/clutter-actor.override: Remove even mode fixed point
	ignored API; implement clutter.Actor.get_anchor_point()

2008-01-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs: Update with the latest API additions.

2008-01-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-model.override: Fix the constructor.

	* clutter/clutter.override: Add more checks in the handle_key_event()
	method of clutter.Entry.

	* clutter/clutter-base.defs: Remove and rename a couple of methods,
	just enough to make pyclutter build.

2007-11-28  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-script.override: Ignore ClutterScript
	connect_signals_full() method.

2007-11-28  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Ignore the threads idle/timeout
	convenience API: we need to release the python lock when
	holding the clutter one, and we cannot do that without
	reimplementing the convienience API altogether.

2007-11-28  Emmanuele Bassi <ebassi@openedhand.com>

	* clutter/clutter-effect.override: Overrides for the
	clutter-effect API.

	* clutter/Makefile.am:
	* clutter/clutter.override: Build glue for clutter-effect
	overrides.

	* clutter/pyclutter.[ch]: Add pyclutter_effect_complete().

2007-11-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Remove get_progressx()
	definition from ClutterTimline.

	* clutter/Makefile.am:
	* clutter/clutter.override: Build glue for ClutterModel
	overrides.

	* clutter/clutter-model.override: Initial stabe at the
	overrides for ClutterModel.

2007-11-27  Emmanuele Bassi <ebassi@openedhand.com>

	* clutter/Makefile.am: Add clutter-script.override

	* clutter/clutter-script.override: Overrides for using
	ClutterScript within python: get_objects() returns a list
	of objects, while connect_signals() will connect python
	callable objects found in the current namespace.

	* clutter/clutter.override: Include clutter-script.override

2007-11-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-actor.override: Override get_position()
	and get_clip().

2007-11-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs: Merge API additions from trunk.

2007-11-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-actor.override: Fix typo in variable
	declaration.

	* clutter/clutter-base.defs: Remove deprecated and renamed
	API from the definitions.

2007-11-27  Emmanuele Bassi  <ebassi@openedhand.com>

	Initial work at porting the PyClutter bindings to the
	API in trunk. this is going to be some overhaul, so please
	be patient.

	* clutter/clutter-actor.override: Add [sg]et_rotation() API

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs: Start pruning all the definitions
	that have been removed/are to be removed from upstream.

	* clutter/clutter-boxed.override: Ditto as above.

	* clutter/clutter-event.override: Add ClutterEventCrossing and
	make the event code a little more generic.

	* clutter/pyclutter.[ch]: Remove C utility functions for the
	types that have been removed.

	* py-compile: Do not put py-compile under revision control.

2007-09-17  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Initialise the ctor
	parameters for every clutter.Behaviour; now it's possible
	to create any behaviour instance without passing any parameter
	to the constructors and change the parameters later on,
	without having the python bindings segfault.

2007-09-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Do not segfault when
	an invalid number of arguments is passed to the various
	behaviours constructors. (#506, Giuliani Vito Ivan)

2007-09-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-color.override: Initialise the value of
	the color components, so that clutter.Color() does the
	right thing. (#507, Giuliani Vito Ivan)

2007-09-13  Emmanuele Bassi  <ebassi@openedhand.com>

	Merge from pyclutter-0-4

	* clutter/clutter-behaviour.override: Add more sanity checks
	on the arguments passed to the alpha functions.

2007-09-05  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/super-oh.py:
	* examples/redhand.png: Add the SuperOH example; ported from
	the original C source by Paul Cooper.

2007-09-03  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Fix up the names of the
	properties in the clutter.BehaviourDepth constructor.

2007-08-20  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump up to 0.5.0 and require development branches
	for all the modules.

2007-08-20  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-boxed.override: Fix clutter.Margin() and
	clutter.Padding() constructors.

	* clutter/clutter-event.override: Ignore clutter_event_copy()
	and clutter_event_free(), as we're not supposed to pass events
	as boxed types.

	* clutter/clutter-base.defs: Add fake constructors for
	clutter.ActorBox, clutter.Margin and clutter.Padding.

2007-08-20  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump to 0.5.0 and required clutter 0.5 as well

2007-08-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/cairo-texture.py: Update example, add a cloned texture.

2007-08-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add fake constructors for the boxes
	types we wrap.

	* clutter/clutter-actor.override: Override the set_geometry() and
	get_geometry() methods to return and accept a 4-tuple.

	* clutter/pyclutter.[ch]: Add a conversion function for PyObject
	to ClutterGeometry.

2007-08-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac:
	* README:
	* NEWS: Update and release 0.4.0 (see svn log for details).

2007-03-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/Makefile.am:
	* examples/hello.py: Add 'hello world' example.

2007-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump to 0.3.0.

2007-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump to 0.2.0.

	* configure.ac:
	* Makefile.am: Remove clutter-gst from the build
	until it's fixed.

	* README: Add README.

2007-01-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter-gst/cluttergst.defs:
	* clutter-gst/cluttergst.override:
	* clutter-gst/cluttergstmodule.c:
	* clutter-gst/Makefile.am: Update clutter.gst module for
	the ClutterGst library.

	* Makefile.am:
	* configure.ac: Drop the ClutterGtk wrapper from the build;
	compile ClutterGst wrapper conditionally if the clutter-gst
	library is installed; require the newly release clutter 0.2.

	* clutter/clutter-base.defs: Add missing methods.

	* examples/behave.py: Add BehaviourScale object.

2006-12-22  Matthew Allum  <mallum@openedhand.com>

	* pyclutter.doap:
	Fix so parse-able.

2006-12-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Override clutter_label_set_color()
	to use the tuple/object color API like the stage and rectangle
	actors.

2006-12-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Add more checks and
	decrement reference count of the right objects.

	* clutter/pyclutter.c: Do not decrement the reference count
	of the callback arguments tuple after we're done with it,
	and let the garbage collector do its thing (fixes a reference
	counting bug in the alpha notify function).

2006-12-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/Makefile.am:
	* clutter/keysyms.py: Add the key symbols list, and use the
	pygtk lazy loading facility (currently, calls gtk._lazyutils
	but might be useful to install our own copy?) to load what's
	needed only when it's needed.

2006-12-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add the ClutterMedia virtual
	functions, so that you can implement the ClutterMedia
	interface in pure python.

2006-12-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/rects.py:
	* examples/behave.py: Update examples code.

2006-12-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-boxed.override: Remove the ClutterColor
	overridden methods here and put them into clutter-color.override.

	* clutter/pyclutter.h:
	* clutter/pyclutter.c: Allow conversion from a 4-tuple to
	a ClutterColor; this is a shortcut for functions taking only
	a single color parameter, but must be explicitely overridden
	to allow this behaviour.

	* clutter/clutter-color.override: Put everything concerning
	ClutterColor here; wrap ClutterColor into its own boxed type
	to avoid having to reimplement color-related functions for
	three types of data (integers, tuples and dictionaries); now
	to create a color use clutter.Color(red,green,blue,alpha)
	like pygtk; wrap color_from_hls() and color_from_pixel() as
	package functions; wrap to_hls(), to_pixel(), shade(),
	darken() and lighten() as instance methods.

	* clutter/clutter.override: Include clutter-color.override;
	update overridden color setters and color getters.

	* clutter/clutter-base.defs:
	* clutter/clutter-base-types.defs:
	* clutter/Makefile.am: Update build and codegen glue.

	* examples/rects.py:
	* examples/behave.py: Update examples.

2006-12-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Update the rest of the clutter
	color API to accept tuples, except clutter.color_from_hls()
	which will accept a tuple, a dictionary or three integers.

2006-12-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* examples/rects.py:
	* examples/behave.py: Update examples.

2006-12-14  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add clutter_feature_available(),
	clutter_color_equal(), clutter_actor_show_all() and
	clutter_actor_hide_all().

	* clutter/clutter.override: Provide the correct implementation
	of clutter.color_parse(); ignore clutter_color_equal(), as
	python already has an equality test for tuples; allow passing
	a tuple instead of a tuple of args to clutter.Stage.set_color()
	and clutter.Rectangle.set_color(): now we can use the

		stage.set_color(clutter.color_parse('DarkSlateGray'))
	
	idiomatic construct and everything will work as expected; this
	breaks backward compatibility: you *must* pass a tuple, not
	four arguments.

2006-12-12  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Add more checks in the
	do_alpha_notify caller; fix a reference count bug: the alpha
	value python object got unreffed twice.

2006-12-11  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Check for a callable
	function inside the clutter.Alpha constructor; wrap the
	clutter.Behaviour.get_actors() method; override the alpha_notify
	virtual method and proxy, and allow the creation of pure
	python behaviours.

	* clutter/clutter-base.defs: Add missing methods.

	* clutter/pyclutter.c: Add some checks; use PyObject_CallObject()
	instead of the generic PyObject_Call(): should be a bit faster.

	* examples/behave.py: Add an example of a pure python behaviour.

2006-12-11  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/pyclutter.h:
	* clutter/pyclutter.c: Use a better callback mechanism
	for the invocation of callable functions; still rough,
	and needs type checking on the parameters.  one might
	wonder why pygobject bindings don't provide such mechanism
	in the first place.  machinery heavily borrowed from the
	perl bindings.

	* clutter/clutter.override:
	* clutter/clutter-behaviour.override: Update PyClutterCallback
	usage.

	* examples/behave.py: Add another behaviour for testing.

2006-12-07  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs: Add declaration for the
	vfunc ClutterBehaviour::alpha_notify; now you can
	subclass clutter.Behaviour and override do_alpha_notify
	to create a pure python behaviour.

	* clutter/clutterpython.c:
	* clutter/pyclutter.c: Rename the helper utils code.

	* Makefile.am: Update with the renamed helper file.

	* clutter-gst/clutter-gst.defs:
	* clutter-gst/clutter-gst-types.defs: Add defs file
	for the clutter-gst sub-module.

	* configure.ac:
	* Makfile.am: Add support for the sub-modules; use the
	--with-clutter-gtk and --with-clutter-gst configure
	switch to enable their compilation; fixed the --enable-doc
	switch.

	* clutter-gst/Makefile.am:
	* clutter-gtk/Makefile.am: Build glue for the sub-modules.

	* docs/reference/Makefile.am: Add.

2006-12-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Ignore the single
	knot clutter_behaviour_path_append_knot(): we have append_knots();
	add more type error checking inside both the BehaviourPath
	constructor and append_knots(): we accepts only tuples of
	pairs, as a knot is immutable once inside the path.

	* examples/behave.py: Add a append_knots() call to test it.

2006-12-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override:
	* clutter/clutter-base.defs:
	* clutter/clutter-base-types.defs: Update with upstream
	API additions:

		clutter.Rectangle_get_border_color
		clutter.Rectangle.set_border_color
		clutter.Rectangle.get_border_width
		clutter.Rectangle.set_border_width
	
	use the new style for constructors

	* clutter/clutter-behaviour.override: Update the clutter.Alpha
	constructor to accept a function and a timeline as optional
	arguments; override the clutter.BehaviourPath constructor to
	accept a tuple of (x, y) pairs as knots.

	* clutter/clutterpython.c: Use the right object as the caller.

	* clutter/__init__.py: Relay the MAX_ALPHA C macro as a module
	variable; provide pure python implementations of the alpha
	functions.

	* docs/update-bindings.txt: Add a checklist for updating the
	bindings when upstream changes.

	* configure.ac: Add a check for building docs if xsltproc is
	available; now all that's left to do is to use the pygtk
	xslt and write the docs.

	* examples/behave.py: Simple porting of the upstream behave
	example program.

2006-11-19  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-behaviour.override: Implement the
	clutter.Knot boxed type as a tuple of two integers.

2006-11-19  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 100.00% (18/18)
	The coverage of methods is 100.00% (145/145)

	* clutter/clutter-behaviour.override: Implement the
	final missing method: clutter.BehaviourPath.append_knots().

2006-11-19  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 100.00% (18/18)
	The coverage of methods is 99.31% (144/145)

	* clutter/clutter.override: Implement the
	clutter.Group.get_children() method.

	* clutter/clutter-behaviour.override: Remove the empty
	clutter.BehaviourPath.append_knots() stub; implement the
	clutter.BehaviourPath.get_knots() method.

2006-11-19  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 100.00% (18/18)
	The coverage of methods is 98.62% (143/145)

	* clutter/pyclutter.h:
	* clutter/clutterpython.c: Add and optional "caller" argument
	to pyclutter_callback_invoke(): use this argument to change
	the caller (i.e. the first argument) of the callback from the
	default (the instance of the class).

	* clutter/clutter.override: Implement clutter.Group.foreach().

	* clutter/clutter-behaviour.override: Implement the
	clutter.Behaviour.actors_foreach() method.

	* examples/rects.py: Check if the clutter.Group.foreach()
	method works.

2006-11-18  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Bump to 0.1.2.

2006-11-18  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 100.00% (18/18)
	The coverage of methods is 97.24% (141/145)

	* clutter/Makefile.am: Move back clutter inside a non-versioned
	module; we don't need the stuff pygtk uses to load the right
	version.

	* clutter/pyclutter.pc.in: Add Cflags section and the include
	directory variable.

	* clutter/pyclutter.h:
	* clutter/clutterpython.c: Utility header for easier bindings;
	added PyClutterCallback, a wrapper for invoking callbacks; this
	should really go into pygtk, though - luckily for us, the Perl
	bindings are more friendly.

	* clutter/cluttermodule.c: Update with the correct prefix.

	* clutter/clutter.override:
	* clutter/clutter-behaviour.override: Implement the
	missing clutter.Alpha.set_func() method using the newly
	added PyClutterCallback.

	* examples/rects.py: Print the version tuple.

2006-11-18  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 100.00% (18/18)
	The coverage of methods is 96.55% (140/145)

	* clutter/clutter-behaviour.override: Add override for
	behaviours and alpha objects; add the convenience alpha
	functions to the ignore-list.

	* clutter/Makefile.am:
	* clutter/clutter.override: Update.

2006-11-18  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 81.82% (18/22)
	The coverage of methods is 95.24% (140/147)

	* clutter/clutter-base-types.defs:
	* clutter/clutter-base.defs: Reinstate the base files

	* clutter/clutter-actor.override:
	* clutter/clutter-boxed.override:
	* clutter/clutter-event.override: Move out the overrides
	to their own files, to keep things clean.

	* clutter/Makefile.am: Update.

	* Makefile.am:
	* createdefs.py: Generates the .defs files.

2006-11-17  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 76.19% (16/21)
	The coverage of methods is 91.84% (135/147)

	* clutter/clutter.defs: Sync with upstream API changes - hopefully,
	the API should be a bit more stable now.

2006-11-16  Emmanuele Bassi  <ebassi@openedhand.com>

	The coverage of global functions is 100.00% (16/16)
	The coverage of methods is 92.31% (132/143)

	* clutter/clutter.override: Update from upstream API changes.
	
	* clutter/Makefile.am:
	* clutter/clutter-base.defs:
	* clutter/clutter-base-types.defs:
	* clutter/clutter.defs: Consolidate the definitions inside
	a single file; there's no point making stuff more complicated
	than already is.

2006-11-15  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override:
	* clutter/clutter-base.defs:
	* clutter/clutter-base-types.defs: Update after upstream. Still
	doesn't built, but it's a beginning.

2006-07-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* configure.ac: Require clutter 0.1.1 and update our own version.

2006-07-08  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter.override: Add accessors for the clutter.Event
	object (Ross Burton, #104).

	* clutter/clutter-base.defs:
	* clutter/clutter-base-types.defs: Make clutter.event_new the
	constructor for the clutter.Event object, and specify the boxed
	type functions for copy and free.

	* examples/rects.py: Change the example to include the usage of
	the new event accessors.

2006-07-06  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/clutter-base.defs:
	* clutter/clutter-base-types.defs: Resync with the API changes
	inside clutter.

2006-06-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/__init__.py: Relay __version__ from the shared object
	to the main package.

2006-06-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/cluttermodule.c: Remove the debug messages and fix the
	__version__ tuple generation.

2006-06-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* clutter/Makefile.am: Install a _clutter shared object and then add
	a __init__.py loading the right namespace.

2006-06-23  Emmanuele Bassi  <ebassi@openedhand.com>

	* pyclutter/*
	* *: Move python bindings out of tree.

2006-06-23  Ross Burton  <ross@openedhand.com>

	* python/Makefile.am:
	Fix -avoid-version so we don't install clutter.so.0.0.0.

2006-06-22  Emmanuele Bassi  <ebassi@openedhand.com>

	* python/Makefile.am:
	* python/clutter.override:
	* python/clutter-base.defs:
	* python/clutter-base-types.defs: Bind updated clutter.Timeline API;
	bind clutter.Media interface and clutter.VideoTexture.

2006-06-22  Emmanuele Bassi  <ebassi@openedhand.com>

	* python/Makefile.am:
	* python/pyclutter.pc.in: Add a pkgconfig file in order to
	check for bindings existence.

2006-06-22  Emmanuele Bassi  <ebassi@openedhand.com>

	* python/clutter-base-types.defs: Remove ClutterActorTransform.

2006-06-13  Matthew Allum  <mallum@openedhand.com>

	* ChangeLog:
	* python/Makefile.am:
	* python/clutter-base-types.defs:
	* python/clutter-base.defs:
	* python/clutter.override:
	Rename element -> actor. 
	Disable video texture bindings as to build again.

2006-06-06  Matthew Allum  <mallum@openedhand.com>

	* python/clutter-base.defs:
	Add support for set/get_depth. Fix timeline declaration.

2006-06-05  Emmanuele Bassi  <ebassi@openedhand.com>

	* python/clutter-base-types.defs:
	* python/clutter-base.defs:
	* python/clutter.override: Wrap new API and objects.

2006-05-27  Emmanuele Bassi  <ebassi@openedhand.com>

	* python/clutter-base.defs: Make static functions appear like
	package methods, e.g.: clutter_main() is clutter.main() and
	not clutter.clutter_main().  Changed functions are:
	    C name			  Python name
	  - clutter_main		- clutter.main
	  - clutter_stage		- clutter.stage
	  - clutter_want_debug		- clutter.want_debug
	  - clutter_redraw		- clutter.redraw
	  - clutter_threads_enter	- clutter.threads_enter
	  - clutter_threads_leave	- clutter.threads_leave
	
	* python/clutter.override: Ignore all X11 and GL related
	functions, as we don't have type definitions for them; fix typos
	and cut-and-paste errors; make the threads_enter and main static
	function use the pygobject threading facilities.

	* Makefile.am: Rework the build system.  The defs files have been
	split in two: clutter-base-types.def for the type declarations
	and clutter-base.defs for the methods and functions.  The python
	glue code depends on two auto-generated files: clutter.defs and
	clutter-types.defs; these two files includes the clutter-base
	files.  If the API changes, run "make update-defs": it will
	create a "clutter-api.defs" which should be hand-edited and
	the new sections added to the clutter-base files.  This is needed
	because we do some mangling of the namespace and static functions
	names, so we can't rely on the h2defs generator.

2006-05-27  Emmanuele Bassi  <ebassi@openedhand.com>

	API coverage:
	  - global functions: 71.43% (10/14)
	  - methods:          95.40% (83/87)

	* python/clutter.override: Implement bindings for the missing
	ClutterTexture methods:
	  - get_base_size
	  - get_n_tiles
	  - get_x_tile_detail
	  - get_y_tile_detail
	
	* python/clutter.override: Implement the ClutterGroup.add_many
	method.

2006-05-26  Emmanuele Bassi  <ebassi@openedhand.com>

	* python/clutter-base.defs:
	* python/clutter-base-types.defs:
	* python/clutter.override: Fix ClutterGeometry bindings;
	implement ClutterElementBox bindings.

	* python/Makefile.am: Use variables instead of hard-coded
	file names.

